import { UndoableCommand } from "./UndoableCommand.js";
import { ReopenMergeRequestCommand } from "./ReopenMergeRequestCommand.js";
export class CloseMergeRequestCommand extends UndoableCommand {
    constructor(url, token, id, mergeRequestIid) {
        super(url, 'PUT', `projects/${id}/merge_requests/${mergeRequestIid}?state_event=close`, token);
        this.id = id;
        this.mergeRequestIid = mergeRequestIid;
    }
    async undo() {
        if (this.token) {
            return (await new ReopenMergeRequestCommand(this.url, this.token, this.id, this.mergeRequestIid).execute());
        }
    }
}
//# sourceMappingURL=CloseMergeRequestCommand.js.map