import { UndoableCommand } from "./UndoableCommand.js";
import { DeleteBranchCommand } from "./DeleteBranchCommand.js";
export class CreateBranchCommand extends UndoableCommand {
    constructor(url, token, projectId, branchName, ref = "main") {
        super(url, 'POST', `projects/${projectId}/repository/branches`, token);
        this.projectId = projectId;
        this.branchName = branchName;
        this.ref = ref;
    }
    async execute() {
        return await super.execute({
            branch: this.branchName,
            ref: this.ref
        });
    }
    async undo() {
        if (this.token && this.projectId) {
            return (await new DeleteBranchCommand(this.url, this.token, this.projectId, this.branchName).execute());
        }
    }
}
//# sourceMappingURL=CreateBranchCommand.js.map