import { UndoableCommand } from "./UndoableCommand.js";
import { DeleteGroupCommand } from "./DeleteGroupCommand.js";
export class CreateGroupCommand extends UndoableCommand {
    constructor(url, token, name, namespaceId) {
        super(url, 'POST', 'groups', token);
        this.name = name;
        this.namespaceId = namespaceId;
    }
    async execute() {
        const response = await super.execute({
            name: this.name,
            path: this.name,
            parent_id: this.namespaceId
        });
        this.id = response.id;
        return response;
    }
    async undo() {
        if (this.token && this.id)
            return (await new DeleteGroupCommand(this.url, this.token, this.id).execute());
    }
}
//# sourceMappingURL=CreateGroupCommand.js.map