import { UndoableCommand } from "./UndoableCommand.js";
import { DeleteProjectCommand } from "./DeleteProjectCommand.js";
export class CreateProjectCommand extends UndoableCommand {
    constructor(url, token, name, namespaceId, topics = [], branch = "main") {
        super(url, 'POST', 'projects', token);
        this.name = name;
        this.namespaceId = namespaceId;
        this.topics = topics;
        this.branch = branch;
    }
    async execute() {
        const response = await super.execute({
            name: this.name,
            namespace_id: this.namespaceId,
            initialize_with_readme: true,
            topics: this.topics,
            default_branch: this.branch
        });
        this.id = response.id;
        return response;
    }
    async undo() {
        if (this.token && this.id) {
            return (await new DeleteProjectCommand(this.url, this.token, this.id).execute());
        }
    }
}
//# sourceMappingURL=CreateProjectCommand.js.map