import { UndoableCommand } from "./UndoableCommand.js";
import { DeleteTagCommand } from "./DeleteTagCommand.js";
export class CreateTagCommand extends UndoableCommand {
    constructor(url, token, projectId, tag, ref = "main") {
        super(url, 'POST', `projects/${projectId}/repository/tags?tag_name=${tag}&ref=${ref}`, token);
        this.projectId = projectId;
        this.tag = tag;
        this.ref = ref;
    }
    async execute() {
        return await super.execute({
            tag: this.tag,
            ref: this.ref
        });
    }
    async undo() {
        if (this.token) {
            return (await new DeleteTagCommand(this.url, this.token, this.projectId, this.tag).execute());
        }
    }
}
//# sourceMappingURL=CreateTagCommand.js.map