import { Command } from "./Command.js";
import { GetMergeRequestCommand } from "./GetMergeRequestCommand.js";
import { CreateMergeRequestCommand } from "./CreateMergeRequestCommand.js";
export class DeleteMergeRequestCommand extends Command {
    constructor(url, token, id, mergeRequestIid) {
        super(url, 'DELETE', `projects/${id}/merge_requests/${mergeRequestIid}`, token);
        this.id = id;
        this.mergeRequestIid = mergeRequestIid;
    }
    async execute() {
        const response = (await new GetMergeRequestCommand(this.url, this.token ?? '', this.id, this.mergeRequestIid).execute());
        this.sourceBranch = response.source_branch;
        this.targetBranch = response.target_branch;
        this.previousTitle = response.title;
        return await super.execute();
    }
    async undo() {
        if (this.token && this.previousTitle && this.sourceBranch && this.targetBranch) {
            return (await new CreateMergeRequestCommand(this.url, this.token, this.previousTitle, this.sourceBranch, this.targetBranch).execute());
        }
    }
}
//# sourceMappingURL=DeleteMergeRequestCommand.js.map