import { UndoableCommand } from "./UndoableCommand.js";
import { GetGroupCommand } from "./GetGroupCommand.js";
export class RenameGroupCommand extends UndoableCommand {
    constructor(url, token, id, name) {
        super(url, 'PUT', `groups/${id}`, token);
        this.id = id;
        this.name = name;
    }
    async execute() {
        this.previousName = (await new GetGroupCommand(this.url, this.token ?? '', this.id).execute()).name;
        return await super.execute({ name: this.name });
    }
    async undo() {
        if (this.token && this.previousName) {
            return (await new RenameGroupCommand(this.url, this.token, this.id, this.previousName).execute());
        }
    }
}
//# sourceMappingURL=RenameGroupCommand.js.map