import { UndoableCommand } from "./UndoableCommand.js";
import { GetMergeRequestCommand } from "./GetMergeRequestCommand.js";
export class RenameMergeRequestCommand extends UndoableCommand {
    constructor(url, token, id, mergeRequestIid, title) {
        super(url, 'PUT', `projects/${id}/merge_requests/${mergeRequestIid}?title=${title}`, token);
        this.id = id;
        this.mergeRequestIid = mergeRequestIid;
    }
    async execute() {
        this.previousTitle = (await new GetMergeRequestCommand(this.url, this.token ?? '', this.id, this.mergeRequestIid).execute()).title;
        return await super.execute();
    }
    async undo() {
        if (this.token && this.previousTitle) {
            return (await new RenameMergeRequestCommand(this.url, this.token, this.id, this.mergeRequestIid, this.previousTitle).execute());
        }
    }
}
//# sourceMappingURL=RenameMergeRequestCommand.js.map