import { UndoableCommand } from "./UndoableCommand.js";
import { GetProjectCommand } from "./GetProjectCommand.js";
export class RenameProjectCommand extends UndoableCommand {
    constructor(url, token, id, name) {
        super(url, 'PUT', `projects/${id}`, token);
        this.id = id;
        this.name = name;
    }
    async execute() {
        this.previousName = (await new GetProjectCommand(this.url, this.token ?? '', this.id).execute()).name;
        return await super.execute({ name: this.name });
    }
    async undo() {
        if (this.token && this.previousName) {
            return (await new RenameProjectCommand(this.url, this.token, this.id, this.previousName).execute());
        }
    }
}
//# sourceMappingURL=RenameProjectCommand.js.map