import { UndoableCommand } from "./UndoableCommand.js";
import { CloseMergeRequestCommand } from "./CloseMergeRequestCommand.js";
export class ReopenMergeRequestCommand extends UndoableCommand {
    constructor(url, token, id, mergeRequestIid) {
        super(url, 'PUT', `projects/${id}/merge_requests/${mergeRequestIid}?state_event=reopen`, token);
        this.id = id;
        this.mergeRequestIid = mergeRequestIid;
    }
    async undo() {
        if (this.token) {
            return (await new CloseMergeRequestCommand(this.url, this.token, this.id, this.mergeRequestIid).execute());
        }
    }
}
//# sourceMappingURL=ReopenMergeRequestCommand.js.map