import { Command } from "./Command.js";
export class RevertCommitCommand extends Command {
    constructor(url, token, projectId, sha, branch) {
        super(url, 'POST', `projects/${projectId}/repository/commits/${sha}/revert`, token);
        this.branch = branch;
    }
    async execute() {
        const dryRun = await super.execute({
            branch: this.branch,
            dry_run: true
        });
        if (dryRun.dry_run && dryRun.dry_run === 'success') {
            return await super.execute({
                branch: this.branch
            });
        }
        return dryRun;
    }
}
//# sourceMappingURL=RevertCommitCommand.js.map