import { UndoableCommand } from "./UndoableCommand.js";
import { GetProjectCommand } from "./GetProjectCommand.js";
export class SetDefaultBranchCommand extends UndoableCommand {
    constructor(url, token, id, branch) {
        super(url, 'PUT', `projects/${id}`, token);
        this.id = id;
        this.branch = branch;
    }
    async execute() {
        this.previousBranch = (await new GetProjectCommand(this.url, this.token ?? '', this.id).execute()).name;
        return await super.execute({ default_branch: this.branch });
    }
    async undo() {
        if (this.token && this.previousBranch) {
            return (await new SetDefaultBranchCommand(this.url, this.token, this.id, this.previousBranch).execute());
        }
    }
}
//# sourceMappingURL=SetDefaultBranchCommand.js.map